Container registry auth
Create a new container registry auth
Create a new container registry auth.
POST
/
containerregistryauth
Create a new container registry auth
curl --request POST \
--url https://rest.runpod.io/v1/containerregistryauth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "my creds",
"password": "my-password",
"username": "my-username"
}
'import requests
url = "https://rest.runpod.io/v1/containerregistryauth"
payload = {
"name": "my creds",
"password": "my-password",
"username": "my-username"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'my creds', password: 'my-password', username: 'my-username'})
};
fetch('https://rest.runpod.io/v1/containerregistryauth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "clzdaifot0001l90809257ynb",
"name": "my creds"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Create a new container registry auth.
Was this page helpful?
⌘I
Create a new container registry auth
